# List all API Keys List all API Keys for a Team. Endpoint: GET /2/teams/{teamSlug}/api-keys Version: 1.0.0 Security: bearerAuth ## Path parameters: - `teamSlug` (string, required) The slug of the Team ## Query parameters: - `page[after]` (string) The string value of the next attribute from a previous result page. The cursor value must be empty or omitted for the first request of a cursor-paginated query. Example: "eyxJjcmAVhdGVkX" - `page[size]` (number) The number of entries to include per response. Maximum value is 100. Example: 10 - `filter[type]` (string) Specifies the type of API key to return. This parameter accepts the following values: - ingest: Returns only ingest API keys. - configuration: Returns only configuration API keys. The endpoint will default to fetching all API keys regardless of type if this filter is omitted. Enum: "configuration", "ingest" ## Response 200 fields (application/vnd.api+json): - `data` (array, required) - `data.id` (string) The unique identifier of the API Key. The last two characters of the prefix define the type of key. ik for Ingest Keys and lk for Configuration Keys. Example: "hcxik_12345678901234567890123456" - `data.type` (string) Enum: "api-keys" - `data.attributes` (any) - `data.relationships` (object) - `data.relationships.environment` (object, required) The Environment this object is associated with. - `data.relationships.creator` (any) - `data.relationships.editor` (any) - `data.links` (object) - `data.links.self` (string) The URL of this resource Example: "/2/teams/my-team/api-keys/hcxik_12345678901234567890123456" - `links` (object) Links to iterate through the pages of results. - `links.next` (string,null, required) The URL for the next page of results. Example: "/2/teams/my-team/api-keys?page[after]=3025fa645ad1100d&page[size]=10" ## Response 401 fields (application/json): - `error` (string) ## Response 403 fields (application/json): - `error` (string) ## Response 404 fields (application/json): - `error` (string) ## Response 422 fields (application/problem+json): - `error` (string, required) - `status` (number, required) The HTTP status code of the error. - `type` (string, required) Type is a URI used to uniquely identify the type of error. - `title` (string, required) Title is a human-readable summary that explains the type of the problem. - `detail` (string) The general, human-readable error message. - `instance` (string) The unique identifier (ID) for this specific error. - `type_detail` (array) - `type_detail.field` (string) - `type_detail.code` (string) Enum: "invalid", "missing", "incorrect_type", "already_exists" - `type_detail.description` (string) ## Response 429 fields (application/json): - `error` (string) ## Response 500 fields (application/problem+json): - `error` (string, required) - `status` (number, required) The HTTP status code of the error. - `type` (string, required) Type is a URI used to uniquely identify the type of error. - `title` (string, required) Title is a human-readable summary that explains the type of the problem. - `detail` (string) The general, human-readable error message. - `instance` (string) The unique identifier (ID) for this specific error.